description

# ConcurrentModificationError class Null safety

Error occurring when a collection is modified during iteration.

Some modifications may be allowed for some collections, so each collection (Iterable or similar collection of values) should declare which operations are allowed during an iteration.

Inheritance
  - Object
  - Error
  - ConcurrentModificationError

## Constructors

ConcurrentModificationError([Object? modifiedObject])

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
modifiedObject → Object?
  The object that was modified in an incompatible way.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
stackTrace → StackTrace?
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited